test_get:
    pattern:  /tests/{id}
    defaults: { _controller: BazingaRestExtraTestBundle:Test:get, _format: ~ }
    requirements:
        _method: GET

test_get_no_convention:
    pattern:  /tests/noconventions/{id}
    defaults: { _controller: BazingaRestExtraTestBundle:Test:getNoConvention, _format: ~ }
    requirements:
        _method: GET

test_get_param_converter:
    pattern: /tests/paramconverter/{date}
    defaults: { _controller: BazingaRestExtraTestBundle:Test:getParamConverter, _format: ~ }
    requirements:
        _method: GET

test_link:
    pattern:  /tests/{id}
    defaults: { _controller: BazingaRestExtraTestBundle:Test:link, _format: ~ }
    requirements:
        _method: LINK

test_all:
    pattern:  /tests
    defaults: { _controller: BazingaRestExtraTestBundle:Test:all, _format: ~ }
    requirements:
        _method:      GET
        _api_version: "1"

test_all_version_123:
    pattern:  /tests
    defaults: { _controller: BazingaRestExtraTestBundle:Test:allVersion123, _format: ~ }
    requirements:
        _method:      GET
        _api_version: "123"

test_create:
    pattern:  /tests
    defaults: { _controller: BazingaRestExtraTestBundle:Test:create, _format: ~ }
    requirements:
        _method: POST

test_create_without_csrf_double_submit:
    pattern:  /without-csrf-double-submit
    defaults: { _controller: BazingaRestExtraTestBundle:Test:createWithoutCsrfDoubleSubmit, _format: ~ }
    requirements:
        _method: POST

test_create_csrf_class:
    pattern:  /tests-csrf-class
    defaults: { _controller: BazingaRestExtraTestBundle:TestCsrf:create, _format: ~ }
    requirements:
        _method: POST

test_get_csrf_class:
    pattern:  /tests-csrf-class
    defaults: { _controller: BazingaRestExtraTestBundle:TestCsrf:get, _format: ~ }
    requirements:
        _method: GET
